version: 1.0.{build}

image: Visual Studio 2017

platform: x64

configuration: Release

environment:
  OSGEO4W_ROOT: C:\\OSGeo4W64

  matrix:
    - OSGEO4W_BUILD: ON

matrix:
  fast_finish: true

# Should speed up repository cloning
shallow_clone: true
clone_depth: 5

install:

  - ps: mkdir c:\\laszip-install | out-null

  - set PATH=%PATH%;C:\Program Files (x86)\MSBuild\14.0\Bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\7-Zip;C:\Program Files\Microsoft Windows Performance Toolkit\;C:\Program Files (x86)\Windows Kits\8.1\Windows Performance Toolkit\;C:\Tools\GitVersion;C:\Program Files (x86)\CMake\bin;C:\Program Files\Git\cmd;C:\Program Files\Git\usr\bin;C:\Program Files\AppVeyor\BuildAgent

  - call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvars64.bat"

  - call .\\scripts\\appveyor\\config.cmd

build_script:
  - call .\\scripts\\appveyor\\build.cmd

after_build:
  - call .\\scripts\\appveyor\\install.cmd


